Bug 628680 - (CVE-2010-3681) CVE-2010-3681 MySQL: mysqld DoS (assertion failure) by alternate reads from two indexes on a table using the HANDLER interface (MySQL bug #54007)
CVE-2010-3681 MySQL: mysqld DoS (assertion failure) by alternate reads from t...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
public=20100709,reported=20100827,sou...
: Security
Depends On: 636780 645637 645638 645642 645643 652553 652554 833943
Blocks:
  Show dependency treegraph
 
Reported: 2010-08-30 14:14 EDT by Jan Lieskovsky
Modified: 2015-10-23 10:42 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-20 11:13:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Lieskovsky 2010-08-30 14:14:20 EDT
A denial of service flaw was found in the way MySQL processed
alternate read requests from two indexes on a table using the
HANDLER interface. A remote, authenticated MySQL user could
use this flaw to cause mysqld daemon abort.

References:
  [1] http://secunia.com/advisories/41048/
  [2] http://dev.mysql.com/doc/refman/5.1/en/news-5-1-49.html

Upstream bug report:
  [3] http://bugs.mysql.com/bug.php?id=54007

Upstream commit:
  [4] http://lists.mysql.com/commits/110598
Comment 1 Jan Lieskovsky 2010-08-30 14:16:19 EDT
Public reproducer from [3]:

--disable_warnings
DROP TABLE IF EXISTS t1;
--enable_warnings
CREATE TABLE t1  ( pk INT , PRIMARY KEY (pk));
HANDLER t1 OPEN AS handler_a;
HANDLER handler_a READ FIRST;
HANDLER handler_a READ `PRIMARY` NEXT;

DROP TABLE t1;
Comment 7 Jan Lieskovsky 2010-08-31 06:40:29 EDT
This issue did NOT affect the version of the mysql package, as shipped
with Red Hat Enterprise Linux 3.

This issue affects the versions of the mysql package, as shipped with
Red Hat Enterprise Linux 4 and 5.

The Red Hat Security Response Team has rated this flaw as having
low security impact, as exploitation of this issue would mean only
a temporary denial of service, since the mysql daemon shipped with
Red Hat Enterprise Linux 4 and 5 will be automatically restarted
after the abort.

A future update may address this flaw in Red Hat Enterprise Linux
4 and 5.

--

This issue affects the versions of the mysql package, as shipped with
Fedora release of 12 and 13.
Comment 9 Jan Lieskovsky 2010-08-31 08:55:00 EDT
CVE Request: http://www.openwall.com/lists/oss-security/2010/08/30/8
Comment 13 Jan Lieskovsky 2010-09-23 05:33:36 EDT
Created mysql tracking bugs for this issue

Affects: fedora-all [bug 636780]
Comment 14 Jan Lieskovsky 2010-09-29 04:43:38 EDT
The CVE identifier of CVE-2010-3681 has been assigned to this issue.
Comment 18 errata-xmlrpc 2010-11-03 16:05:01 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 4

Via RHSA-2010:0824 https://rhn.redhat.com/errata/RHSA-2010-0824.html
Comment 19 errata-xmlrpc 2010-11-03 16:22:16 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2010:0825 https://rhn.redhat.com/errata/RHSA-2010-0825.html
Comment 20 Vincent Danen 2010-11-03 16:51:00 EDT
Statement:

This issue did not affect the versions of mysql as shipped with Red Hat Enterprise Linux 3. This issue was addressed in Red Hat Enterprise Linux 4, 5 and 6 via RHSA-2010:0824, RHSA-2010:0825 and RHSA-2011:0164 respectively.
Comment 22 errata-xmlrpc 2011-01-18 13:43:32 EST
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2011:0164 https://rhn.redhat.com/errata/RHSA-2011-0164.html

Note You need to log in before you can comment on or make changes to this bug.